<?php
// check rights
if ($login->check_rights()>=3):
// loading of reqired classes
include CLASSES_PATH."Users.php";
// creating of instances
$users=new Users();
// change rights
if ($_GET["action"]=="change_rights" AND isset($_GET["id"])) { $users->change_rights(); }
// delete user
if ($_GET["action"]=="delete_account" AND isset($_GET["id"])) { $users->delete(); }
?>

<h2><?php echo LANG_USERS; ?></h2>

<table>
<th style="width: 25%;"><?php echo LANG_LOGIN; ?></th>
<th style="width: 20%;"><?php echo LANG_REGISTRATION_DATE; ?></th>
<th style="width: 20%;"><?php echo LANG_LAST_VISIT; ?></th>
<th style="width: 10%;"><?php echo LANG_RIGHTS; ?></th>
<th style="width: 25%;"><?php echo LANG_OPTIONS; ?></th>
<?php $users->print_data(); ?>
</table>

<?php else: $access_denied=1; endif; ?>